Skip to main content
GET
/
cloud
/
v1
/
user_actions
/
amqp_subscriptions_list
List amqp subscriptions
curl --request GET \
  --url https://api.gcore.com/cloud/v1/user_actions/amqp_subscriptions_list \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.gcore.com/cloud/v1/user_actions/amqp_subscriptions_list"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.gcore.com/cloud/v1/user_actions/amqp_subscriptions_list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "count": 1,
  "results": [
    {
      "connection_string": "amqps://guest:guest@192.168.123.20:5671/user_action_events",
      "id": 33,
      "exchange": null,
      "receive_child_client_events": false,
      "routing_key": "foo"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

limit
integer
default:1000

Optional. Limit the number of returned items

Required range: x <= 1000
Example:

1000

offset
integer
default:0

Optional. Offset value is used to exclude the first set of records from the result

Required range: x >= 0
Example:

0

Response

200 - application/json

OK

count
integer
required

Number of objects

Required range: x >= 0
Example:

1

results
UserAction subscription scheme on RabbitMQ · object[]
required

Objects